package ru.vyatsu.qr_access_api.booking.controller

import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestBody
import org.springframework.web.bind.annotation.RestController
import ru.vyatsu.qr_access_api.booking.request.BookCallbackRequest
import ru.vyatsu.qr_access_api.booking.service.BookingService
import ru.vyatsu.qr_access_api.booking.request.BookRequest
import ru.vyatsu.qr_access_api.booking.request.BookResponse

@RestController
class BookingController(private val service: BookingService) {
    // TODO: Убрать /public, так как эти методы должны быть закрыты авторизацией client_credential и корсами
    // TODO: Для общего процесса бронирования нужно сделать альтернативный путь для шлюза с опросом.
    @PostMapping("/public/book")
    fun book(@RequestBody request: BookRequest): BookResponse {
        return BookResponse(service.book(request))
    }

    @PostMapping("/public/book/callback")
    fun bookCallback(@RequestBody request: BookCallbackRequest) {
        return service.bookPayed(request.rentId)
    }
}