package ru.vyatsu.qr_access_api.booking.job

import org.springframework.scheduling.annotation.Scheduled
import org.springframework.stereotype.Service
import ru.vyatsu.qr_access_api.booking.repository.BookingRepository
import ru.vyatsu.qr_access_api.common.logger
import java.time.LocalDateTime

@Service
class CleanExpiredNotPayedRentJob(private val repository: BookingRepository) {

    @Scheduled(cron = "0 */5 * * * *")
    fun clean() {
        val deletedCount =
            repository.deleteRentByDateCreatedLessThen(LocalDateTime.now().minusMinutes(10))
        logger().info("CleanExpiredNotPayedRentJob deleted {} rents", deletedCount)
    }
}